LibreOffice LibreOffice 6.0 SDK API Reference

Modules | Variables
ScriptFrameworkErrorType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::script
| Scripting language bindings.
module | com::sun::star::script::provider
| interfaces for scripting providers.

## Constant Groups
constants | com::sun::star::script::provider::ScriptFrameworkErrorType
| is a checked exception that represents an error encountered by the Scripting Framework whilst executing a script

## Variables
const long | UNKNOWN = 0
| Unknown. More...
const long | NOTSUPPORTED = 1
| ProviderNotSupported. More...
const long | NO_SUCH_SCRIPT = 2
| the requested method, and/or with the requested signature, does not exist More...
const long | MALFORMED_URL = 3
| the requested method, with the requested signature, does not exist More...